Index: sansmodels/src/c_models/c_models.cpp
===================================================================
--- sansmodels/src/c_models/c_models.cpp	(revision 101065a9bd217be61773f8eba38d0c461efee3fd)
+++ sansmodels/src/c_models/c_models.cpp	(revision fd08083040775173144f25662f900e2959cb4a94)
@@ -48,6 +48,4 @@
 void addCSLDCalFunc(PyObject *module);
 
-//void addCOblateModel(PyObject *module);
-//void addCProlateModel(PyObject *module);
 void addCLamellarModel(PyObject *module);
 void addCLamellarFFHGModel(PyObject *module);
@@ -62,9 +60,5 @@
 
 extern "C" {
-	//void addCCoreShellCylinderModel(PyObject *module);
-	//void addCCoreShellModel(PyObject *module);
-	//void addCEllipsoidModel(PyObject *module);
-	//void addCEllipticalCylinderModel(PyObject *module);
-	void addDisperser(PyObject *module);
+  void addDisperser(PyObject *module);
 }
 void addCLorentzian(PyObject *module);
@@ -77,7 +71,7 @@
  */
 void del_dispersion_model(void *ptr){
-	DispersionModel * disp = static_cast<DispersionModel *>(ptr);
-	delete disp;
-	return;
+  DispersionModel * disp = static_cast<DispersionModel *>(ptr);
+  delete disp;
+  return;
 }
 
@@ -86,6 +80,6 @@
  */
 PyObject * new_dispersion_model(PyObject *, PyObject *args) {
-	DispersionModel *disp = new DispersionModel();
-	return PyCObject_FromVoidPtr(disp, del_dispersion_model);
+  DispersionModel *disp = new DispersionModel();
+  return PyCObject_FromVoidPtr(disp, del_dispersion_model);
 }
 
@@ -95,7 +89,7 @@
  */
 void del_lognormal_dispersion(void *ptr){
-	LogNormalDispersion * disp = static_cast<LogNormalDispersion *>(ptr);
-	delete disp;
-	return;
+  LogNormalDispersion * disp = static_cast<LogNormalDispersion *>(ptr);
+  delete disp;
+  return;
 }
 
@@ -104,6 +98,6 @@
  */
 PyObject * new_lognormal_dispersion(PyObject *, PyObject *args) {
-	LogNormalDispersion *disp = new LogNormalDispersion();
-	return PyCObject_FromVoidPtr(disp, del_lognormal_dispersion);
+  LogNormalDispersion *disp = new LogNormalDispersion();
+  return PyCObject_FromVoidPtr(disp, del_lognormal_dispersion);
 }
 
@@ -112,7 +106,7 @@
  */
 void del_gaussian_dispersion(void *ptr){
-	GaussianDispersion * disp = static_cast<GaussianDispersion *>(ptr);
-	delete disp;
-	return;
+  GaussianDispersion * disp = static_cast<GaussianDispersion *>(ptr);
+  delete disp;
+  return;
 }
 
@@ -121,6 +115,6 @@
  */
 PyObject * new_gaussian_dispersion(PyObject *, PyObject *args) {
-	GaussianDispersion *disp = new GaussianDispersion();
-	return PyCObject_FromVoidPtr(disp, del_gaussian_dispersion);
+  GaussianDispersion *disp = new GaussianDispersion();
+  return PyCObject_FromVoidPtr(disp, del_gaussian_dispersion);
 }
 
@@ -130,7 +124,7 @@
  */
 void del_rectangle_dispersion(void *ptr){
-	RectangleDispersion * disp = static_cast<RectangleDispersion *>(ptr);
-	delete disp;
-	return;
+  RectangleDispersion * disp = static_cast<RectangleDispersion *>(ptr);
+  delete disp;
+  return;
 }
 
@@ -139,6 +133,6 @@
  */
 PyObject * new_rectangle_dispersion(PyObject *, PyObject *args) {
-	RectangleDispersion *disp = new RectangleDispersion();
-	return PyCObject_FromVoidPtr(disp, del_rectangle_dispersion);
+  RectangleDispersion *disp = new RectangleDispersion();
+  return PyCObject_FromVoidPtr(disp, del_rectangle_dispersion);
 }
 
@@ -148,7 +142,7 @@
  */
 void del_schulz_dispersion(void *ptr){
-	SchulzDispersion * disp = static_cast<SchulzDispersion *>(ptr);
-	delete disp;
-	return;
+  SchulzDispersion * disp = static_cast<SchulzDispersion *>(ptr);
+  delete disp;
+  return;
 }
 /**
@@ -156,6 +150,6 @@
  */
 PyObject * new_schulz_dispersion(PyObject *, PyObject *args) {
-	SchulzDispersion *disp = new SchulzDispersion();
-	return PyCObject_FromVoidPtr(disp, del_schulz_dispersion);
+  SchulzDispersion *disp = new SchulzDispersion();
+  return PyCObject_FromVoidPtr(disp, del_schulz_dispersion);
 }
 
@@ -165,7 +159,7 @@
  */
 void del_array_dispersion(void *ptr){
-	ArrayDispersion * disp = static_cast<ArrayDispersion *>(ptr);
-	delete disp;
-	return;
+  ArrayDispersion * disp = static_cast<ArrayDispersion *>(ptr);
+  delete disp;
+  return;
 }
 
@@ -174,13 +168,13 @@
  */
 PyObject * new_array_dispersion(PyObject *, PyObject *args) {
-	ArrayDispersion *disp = new ArrayDispersion();
-	return PyCObject_FromVoidPtr(disp, del_array_dispersion);
+  ArrayDispersion *disp = new ArrayDispersion();
+  return PyCObject_FromVoidPtr(disp, del_array_dispersion);
 }
 
 #define INVECTOR(obj,buf,len)										\
     do { \
-        int err = PyObject_AsReadBuffer(obj, (const void **)(&buf), &len); \
-        if (err < 0) return NULL; \
-        len /= sizeof(*buf); \
+      int err = PyObject_AsReadBuffer(obj, (const void **)(&buf), &len); \
+      if (err < 0) return NULL; \
+      len /= sizeof(*buf); \
     } while (0)
 
@@ -189,26 +183,26 @@
  */
 PyObject * set_weights(PyObject *, PyObject *args) {
-	PyObject *val_obj;
-	PyObject *wei_obj;
-	PyObject *disp;
-	Py_ssize_t nval;
-	Py_ssize_t nwei;
-	double *values;
-	double *weights;
-    //int i;
-
-	if (!PyArg_ParseTuple(args, "OOO", &disp, &val_obj, &wei_obj)) return NULL;
-	INVECTOR(val_obj, values, nval);
-	INVECTOR(wei_obj, weights, nwei);
-
-	// Sanity check
-	if(nval!=nwei) return NULL;
-
-	// Set the array pointers
-	void *temp = PyCObject_AsVoidPtr(disp);
-	DispersionModel * dispersion = static_cast<DispersionModel *>(temp);
-	dispersion->set_weights(nval, values, weights);
-
-	return Py_BuildValue("i",1);
+  PyObject *val_obj;
+  PyObject *wei_obj;
+  PyObject *disp;
+  Py_ssize_t nval;
+  Py_ssize_t nwei;
+  double *values;
+  double *weights;
+  //int i;
+
+  if (!PyArg_ParseTuple(args, "OOO", &disp, &val_obj, &wei_obj)) return NULL;
+  INVECTOR(val_obj, values, nval);
+  INVECTOR(wei_obj, weights, nwei);
+
+  // Sanity check
+  if(nval!=nwei) return NULL;
+
+  // Set the array pointers
+  void *temp = PyCObject_AsVoidPtr(disp);
+  DispersionModel * dispersion = static_cast<DispersionModel *>(temp);
+  dispersion->set_weights(nval, values, weights);
+
+  return Py_BuildValue("i",1);
 }
 
@@ -219,19 +213,19 @@
  */
 static PyMethodDef module_methods[] = {
-	{"new_dispersion_model", (PyCFunction)new_dispersion_model     , METH_VARARGS,
-		  "Create a new DispersionModel object"},
-	{"new_gaussian_model",   (PyCFunction)new_gaussian_dispersion, METH_VARARGS,
-		  "Create a new GaussianDispersion object"},
-	{"new_rectangle_model",   (PyCFunction)new_rectangle_dispersion, METH_VARARGS,
-		  "Create a new RectangleDispersion object"},
-    {"new_lognormal_model",   (PyCFunction)new_lognormal_dispersion, METH_VARARGS,
-		  "Create a new LogNormalDispersion object"},
-    {"new_schulz_model",   (PyCFunction)new_schulz_dispersion, METH_VARARGS,
-		  "Create a new SchulzDispersion object"},
-	{"new_array_model",      (PyCFunction)new_array_dispersion  , METH_VARARGS,
-		  "Create a new ArrayDispersion object"},
-	{"set_dispersion_weights",(PyCFunction)set_weights  , METH_VARARGS,
-			"Create the dispersion weight arrays for an Array Dispersion object"},
-    {NULL}
+    {"new_dispersion_model", (PyCFunction)new_dispersion_model     , METH_VARARGS,
+        "Create a new DispersionModel object"},
+        {"new_gaussian_model",   (PyCFunction)new_gaussian_dispersion, METH_VARARGS,
+            "Create a new GaussianDispersion object"},
+            {"new_rectangle_model",   (PyCFunction)new_rectangle_dispersion, METH_VARARGS,
+                "Create a new RectangleDispersion object"},
+                {"new_lognormal_model",   (PyCFunction)new_lognormal_dispersion, METH_VARARGS,
+                    "Create a new LogNormalDispersion object"},
+                    {"new_schulz_model",   (PyCFunction)new_schulz_dispersion, METH_VARARGS,
+                        "Create a new SchulzDispersion object"},
+                        {"new_array_model",      (PyCFunction)new_array_dispersion  , METH_VARARGS,
+                            "Create a new ArrayDispersion object"},
+                            {"set_dispersion_weights",(PyCFunction)set_weights  , METH_VARARGS,
+                                "Create the dispersion weight arrays for an Array Dispersion object"},
+                                {NULL}
 };
 
@@ -243,58 +237,58 @@
 initc_models(void)
 {
-    PyObject* m;
-
-    m = Py_InitModule3("c_models", module_methods,
-                       "C extension module for SANS scattering models.");
-	import_array();
-
-	addCCylinderModel(m);
-	addCBarBellModel(m);
-	addCCappedCylinderModel(m);
-	addCParallelepipedModel(m);
-	addCCSParallelepipedModel(m);
-	addCCoreShellCylinderModel(m);
-	addCCoreShellModel(m);
-	addCCoreFourShellModel(m);
-	addCEllipsoidModel(m);
-	addCSphereModel(m);
-	addCSphereSLDModel(m);
-	addCOnionModel(m);
-	addCReflModel(m);
-	addCReflAdvModel(m);
-	addCFuzzySphereModel(m);
-	addCHardsphereStructure(m);
-	addCStickyHSStructure(m);
-	addCSCCrystalModel(m);
-	addCFCCrystalModel(m);
-	addCBCCrystalModel(m);
-	addCSquareWellStructure(m);
-	addCHayterMSAStructure(m);
-	addCEllipticalCylinderModel(m);
-	addCTriaxialEllipsoidModel(m);
-	addCFlexibleCylinderModel(m);
-	addCFlexCylEllipXModel(m);
-	addCStackedDisksModel(m);
-	addCLamellarPSModel(m);
-	addCLamellarPSHGModel(m);
-	addCLamellarPCrystalModel(m);
-	addCCoreShellEllipsoidModel(m);
-	addCDiamEllipFunc(m);
-	addCDiamCylFunc(m);
-	addCSLDCalFunc(m);
-	addCPearlNecklaceModel(m);
-	addCLamellarModel(m);
-	addCLamellarFFHGModel(m);
-	addCHollowCylinderModel(m);
-	addCMultiShellModel(m);
-	addCBinaryHSModel(m);
-	addDisperser(m);
-	addCGaussian(m);
-	addCSchulz(m);
-	addCLogNormal(m);
-	addCLorentzian(m);
-	addCVesicleModel(m);
-	addCPoly_GaussCoil(m);
-	addCRPAModel(m);
-	addCFractalModel(m);
-}
+  PyObject* m;
+
+  m = Py_InitModule3("c_models", module_methods,
+      "C extension module for SANS scattering models.");
+  import_array();
+
+  addCCylinderModel(m);
+  addCBarBellModel(m);
+  addCCappedCylinderModel(m);
+  addCParallelepipedModel(m);
+  addCCSParallelepipedModel(m);
+  addCCoreShellCylinderModel(m);
+  addCCoreShellModel(m);
+  addCCoreFourShellModel(m);
+  addCEllipsoidModel(m);
+  addCSphereModel(m);
+  addCSphereSLDModel(m);
+  addCOnionModel(m);
+  addCReflModel(m);
+  addCReflAdvModel(m);
+  addCFuzzySphereModel(m);
+  addCHardsphereStructure(m);
+  addCStickyHSStructure(m);
+  addCSCCrystalModel(m);
+  addCFCCrystalModel(m);
+  addCBCCrystalModel(m);
+  addCSquareWellStructure(m);
+  addCHayterMSAStructure(m);
+  addCEllipticalCylinderModel(m);
+  addCTriaxialEllipsoidModel(m);
+  addCFlexibleCylinderModel(m);
+  addCFlexCylEllipXModel(m);
+  addCStackedDisksModel(m);
+  addCLamellarPSModel(m);
+  addCLamellarPSHGModel(m);
+  addCLamellarPCrystalModel(m);
+  addCCoreShellEllipsoidModel(m);
+  addCDiamEllipFunc(m);
+  addCDiamCylFunc(m);
+  addCSLDCalFunc(m);
+  addCPearlNecklaceModel(m);
+  addCLamellarModel(m);
+  addCLamellarFFHGModel(m);
+  addCHollowCylinderModel(m);
+  addCMultiShellModel(m);
+  addCBinaryHSModel(m);
+  addDisperser(m);
+  addCGaussian(m);
+  addCSchulz(m);
+  addCLogNormal(m);
+  addCLorentzian(m);
+  addCVesicleModel(m);
+  addCPoly_GaussCoil(m);
+  addCRPAModel(m);
+  addCFractalModel(m);
+}
Index: sansmodels/src/libigor/Make.mm
===================================================================
--- sansmodels/src/libigor/Make.mm	(revision 67424cdc019bde2f4cbc089828ff660e6f914c2c)
+++ 	(revision )
@@ -1,80 +1,0 @@
-# -*- Makefile -*-
-#
-# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-#
-#                               Michael A.G. Aivazis
-#                        California Institute of Technology
-#                        (C) 1998-2004  All Rights Reserved
-#
-# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-#
-
-include local.def
-
-PROJECT = sans
-PACKAGE = libsansigor
-
-PROJ_SAR = $(BLD_LIBDIR)/$(PACKAGE).$(EXT_SAR)
-PROJ_DLL = $(BLD_BINDIR)/$(PACKAGE).$(EXT_SO)
-PROJ_TMPDIR = $(BLD_TMPDIR)/$(PROJECT)/$(PACKAGE)
-PROJ_CLEAN += $(PROJ_SAR) $(PROJ_DLL)
-
-PROJ_SRCS = \
-	libCylinder.c \
-	libSphere.c \
-	libStructureFactor.c \
-	libTwoPhase.c \
-
-
-# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-# build the library
-
-all: $(PROJ_SAR) export
-
-# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-
-ifeq (Win32, ${findstring Win32, $(PLATFORM_ID)})
-
-# build the shared object
-$(PROJ_SAR): product_dirs $(PROJ_OBJS)
-	$(CXX) $(LCXXFLAGS) -o $(PROJ_DLL) \
-	-Wl,--out-implib=$(PROJ_SAR) $(PROJ_OBJS)
-
-# export
-export:: export-headers export-libraries export-binaries
-
-else
-
-# build the shared object
-$(PROJ_SAR): product_dirs $(PROJ_OBJS)
-	$(CXX) $(LCXXFLAGS) -o $(PROJ_SAR) $(PROJ_OBJS)
-
-
-# export
-export:: export-headers export-libraries 
-
-endif
-
-EXPORT_HEADERS = \
-	GaussWeights.h \
-	StandardHeaders.h \
-	libCylinder.h \
-	libSANSAnalysis.h \
-	libSphere.h \
-	libStructureFactor.h \
-	libTwoPhase.h \
-
-EXPORT_LIBS = $(PROJ_SAR)
-EXPORT_BINS = $(PROJ_DLL)
-
-
-
-#include doxygen/default.def
-#docs: export-doxygen-docs
-
-
-# version
-# $Id: Make.mm 1444 2007-11-16 16:46:15Z linjiao $
-
-#
-# End of file
Index: sansmodels/src/sans/Make.mm
===================================================================
--- sansmodels/src/sans/Make.mm	(revision 5f9648419dcb264a43db48aff3c82f4253b9de48)
+++ 	(revision )
@@ -1,49 +1,0 @@
-# -*- Makefile -*-
-#
-# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-#
-#                                   Jiao Lin
-#                        California Institute of Technology
-#                           (C) 2008  All Rights Reserved
-#
-# <LicenseText>
-#
-# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-
-PROJECT = sans
-
-BUILD_DIRS = \
-	models \
-
-RECURSE_DIRS = $(BUILD_DIRS)
-
-PACKAGE = sans
-
-#--------------------------------------------------------------------------
-#
-
-all: export
-	BLD_ACTION="all" $(MM) recurse
-
-tidy::
-	BLD_ACTION="tidy" $(MM) recurse
-
-
-
-#--------------------------------------------------------------------------
-#
-# export
-
-EXPORT_PYTHON_MODULES = \
-	__init__.py \
-
-
-export:: export-python-modules 
-	BLD_ACTION="export" $(MM) recurse
-
-
-
-# version
-# $Id: Make.mm 1404 2007-08-29 15:43:42Z linjiao $
-
-# End of file
Index: sansmodels/src/sans/models/BinaryHSPSF11Model.py
===================================================================
--- sansmodels/src/sans/models/BinaryHSPSF11Model.py	(revision 96656e3ad6cdb9f8256e2118c60bac29635136af)
+++ 	(revision )
@@ -1,164 +1,0 @@
-#!/usr/bin/env python
-
-##############################################################################
-#	This software was developed by the University of Tennessee as part of the
-#	Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
-#	project funded by the US National Science Foundation.
-#
-#	If you use DANSE applications to do scientific research that leads to
-#	publication, we ask that you acknowledge the use of the software with the
-#	following sentence:
-#
-#	"This work benefited from DANSE software developed under NSF award DMR-0520547."
-#
-#	copyright 2008, University of Tennessee
-##############################################################################
-
-
-""" 
-Provide functionality for a C extension model
-
-:WARNING: THIS FILE WAS GENERATED BY WRAPPERGENERATOR.PY
-         DO NOT MODIFY THIS FILE, MODIFY ..\c_extensions\binaryHS_PSF11.h
-         AND RE-RUN THE GENERATOR SCRIPT
-
-"""
-
-from sans.models.BaseComponent import BaseComponent
-from sans_extension.c_models import CBinaryHSPSF11Model
-import copy    
-
-def create_BinaryHSPSF11Model():
-    obj = BinaryHSPSF11Model()
-    #CBinaryHSPSF11Model.__init__(obj) is called by BinaryHSPSF11Model constructor
-    return obj
-
-class BinaryHSPSF11Model(CBinaryHSPSF11Model, BaseComponent):
-    """ 
-    Class that evaluates a BinaryHSPSF11Model model. 
-    This file was auto-generated from ..\c_extensions\binaryHS_PSF11.h.
-    Refer to that file and the structure it contains
-    for details of the model.
-    List of default parameters:
-         l_radius        = 160.0 [A]
-         s_radius        = 25.0 [A]
-         vol_frac_ls     = 0.2 
-         vol_frac_ss     = 0.2 
-         ls_sld          = 3.5e-006 [1/A^(2)]
-         ss_sld          = 5e-007 [1/A^(2)]
-         solvent_sld     = 6.36e-006 [1/A^(2)]
-         background      = 0.001 [1/cm]
-
-    """
-        
-    def __init__(self):
-        """ Initialization """
-        
-        # Initialize BaseComponent first, then sphere
-        BaseComponent.__init__(self)
-        #apply(CBinaryHSPSF11Model.__init__, (self,)) 
-        CBinaryHSPSF11Model.__init__(self)
-        
-        ## Name of the model
-        self.name = "BinaryHSPSF11Model"
-        ## Model description
-        self.description ="""
-		Model parameters:
-		
-		l_radius : large radius of the binary hard sphere
-		s_radius : small radius of the binary hard sphere
-		vol_frac_ls : volume fraction of large spheres
-		vol_frac_ss : volume fraction of small spheres
-		ls_sld: large sphere  scattering length density
-		ss_sld: small sphere scattering length density
-		solvent_sld: solvent scattering length density
-		background: incoherent background"""
-       
-        ## Parameter details [units, min, max]
-        self.details = {}
-        self.details['l_radius'] = ['[A]', None, None]
-        self.details['s_radius'] = ['[A]', None, None]
-        self.details['vol_frac_ls'] = ['', None, None]
-        self.details['vol_frac_ss'] = ['', None, None]
-        self.details['ls_sld'] = ['[1/A^(2)]', None, None]
-        self.details['ss_sld'] = ['[1/A^(2)]', None, None]
-        self.details['solvent_sld'] = ['[1/A^(2)]', None, None]
-        self.details['background'] = ['[1/cm]', None, None]
-
-        ## fittable parameters
-        self.fixed=['l_radius.width', 's_radius.width']
-        
-        ## non-fittable parameters
-        self.non_fittable = []
-        
-        ## parameters with orientation
-        self.orientation_params = []
-   
-    def __reduce_ex__(self, proto):
-        """
-        Overwrite the __reduce_ex__ of PyTypeObject *type call in the init of 
-        c model.
-        """
-        return (create_BinaryHSPSF11Model,tuple())
-        
-    def clone(self):
-        """ Return a identical copy of self """
-        return self._clone(BinaryHSPSF11Model())   
-       	
-   
-    def run(self, x=0.0):
-        """ 
-        Evaluate the model
-        
-        :param x: input q, or [q,phi]
-        
-        :return: scattering function P(q)
-        
-        """
-        
-        return CBinaryHSPSF11Model.run(self, x)
-   
-    def runXY(self, x=0.0):
-        """ 
-        Evaluate the model in cartesian coordinates
-        
-        :param x: input q, or [qx, qy]
-        
-        :return: scattering function P(q)
-        
-        """
-        
-        return CBinaryHSPSF11Model.runXY(self, x)
-        
-    def evalDistribution(self, x=[]):
-        """ 
-        Evaluate the model in cartesian coordinates
-        
-        :param x: input q[], or [qx[], qy[]]
-        
-        :return: scattering function P(q[])
-        
-        """
-        return CBinaryHSPSF11Model.evalDistribution(self, x)
-        
-    def calculate_ER(self):
-        """ 
-        Calculate the effective radius for P(q)*S(q)
-        
-        :return: the value of the effective radius
-        
-        """       
-        return CBinaryHSPSF11Model.calculate_ER(self)
-        
-    def set_dispersion(self, parameter, dispersion):
-        """
-        Set the dispersion object for a model parameter
-        
-        :param parameter: name of the parameter [string]
-        :param dispersion: dispersion object of type DispersionModel
-        
-        """
-        return CBinaryHSPSF11Model.set_dispersion(self, parameter, dispersion.cdisp)
-        
-   
-# End of file
Index: sansmodels/src/sans/models/OblateModel.py
===================================================================
--- sansmodels/src/sans/models/OblateModel.py	(revision 96656e3ad6cdb9f8256e2118c60bac29635136af)
+++ 	(revision )
@@ -1,174 +1,0 @@
-#!/usr/bin/env python
-
-##############################################################################
-#	This software was developed by the University of Tennessee as part of the
-#	Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
-#	project funded by the US National Science Foundation.
-#
-#	If you use DANSE applications to do scientific research that leads to
-#	publication, we ask that you acknowledge the use of the software with the
-#	following sentence:
-#
-#	"This work benefited from DANSE software developed under NSF award DMR-0520547."
-#
-#	copyright 2008, University of Tennessee
-##############################################################################
-
-
-""" 
-Provide functionality for a C extension model
-
-:WARNING: THIS FILE WAS GENERATED BY WRAPPERGENERATOR.PY
-         DO NOT MODIFY THIS FILE, MODIFY ..\c_extensions\oblate.h
-         AND RE-RUN THE GENERATOR SCRIPT
-
-"""
-
-from sans.models.BaseComponent import BaseComponent
-from sans_extension.c_models import COblateModel
-import copy    
-
-def create_OblateModel():
-    obj = OblateModel()
-    #COblateModel.__init__(obj) is called by OblateModel constructor
-    return obj
-
-class OblateModel(COblateModel, BaseComponent):
-    """ 
-    Class that evaluates a OblateModel model. 
-    This file was auto-generated from ..\c_extensions\oblate.h.
-    Refer to that file and the structure it contains
-    for details of the model.
-    List of default parameters:
-         scale           = 1.0 
-         major_core      = 200.0 [A]
-         minor_core      = 20.0 [A]
-         major_shell     = 250.0 [A]
-         minor_shell     = 30.0 [A]
-         contrast        = 1e-006 [1/A^(2)]
-         sld_solvent     = 6.3e-006 [1/A^(2)]
-         background      = 0.001 [1/cm]
-         axis_theta      = 57.325 [deg]
-         axis_phi        = 57.325 [deg]
-
-    """
-        
-    def __init__(self):
-        """ Initialization """
-        
-        # Initialize BaseComponent first, then sphere
-        BaseComponent.__init__(self)
-        #apply(COblateModel.__init__, (self,)) 
-        COblateModel.__init__(self)
-        
-        ## Name of the model
-        self.name = "OblateModel"
-        ## Model description
-        self.description ="""[OblateCoreShellModel] Calculates the form factor for an oblate
-		ellipsoid particle with a core_shell structure.
-		The form factor is averaged over all possible
-		orientations of the ellipsoid such that P(q)
-		= scale*<f^2>/Vol + bkg, where f is the
-		single particle scattering amplitude.
-		[Parameters]:
-		major_core = radius of major_core,
-		minor_core = radius of minor_core,
-		major_shell = radius of major_shell,
-		minor_shell = radius of minor_shell,
-		contrast = SLD_core - SLD_shell
-		sld_solvent = SLD_solvent
-		background = Incoherent bkg
-		scale =scale
-		Note:It is the users' responsibility to ensure
-		that shell radii are larger than core radii."""
-       
-        ## Parameter details [units, min, max]
-        self.details = {}
-        self.details['scale'] = ['', None, None]
-        self.details['major_core'] = ['[A]', None, None]
-        self.details['minor_core'] = ['[A]', None, None]
-        self.details['major_shell'] = ['[A]', None, None]
-        self.details['minor_shell'] = ['[A]', None, None]
-        self.details['contrast'] = ['[1/A^(2)]', None, None]
-        self.details['sld_solvent'] = ['[1/A^(2)]', None, None]
-        self.details['background'] = ['[1/cm]', None, None]
-        self.details['axis_theta'] = ['[deg]', None, None]
-        self.details['axis_phi'] = ['[deg]', None, None]
-
-        ## fittable parameters
-        self.fixed=['major_core.width', 'minor_core.width', 'major_shell.width', 'minor_shell.width']
-        
-        ## non-fittable parameters
-        self.non_fittable = []
-        
-        ## parameters with orientation
-        self.orientation_params = ['axis_phi', 'axis_theta', 'axis_phi.width', 'axis_theta.width']
-   
-    def __reduce_ex__(self, proto):
-        """
-        Overwrite the __reduce_ex__ of PyTypeObject *type call in the init of 
-        c model.
-        """
-        return (create_OblateModel,tuple())
-        
-    def clone(self):
-        """ Return a identical copy of self """
-        return self._clone(OblateModel())   
-       	
-   
-    def run(self, x=0.0):
-        """ 
-        Evaluate the model
-        
-        :param x: input q, or [q,phi]
-        
-        :return: scattering function P(q)
-        
-        """
-        
-        return COblateModel.run(self, x)
-   
-    def runXY(self, x=0.0):
-        """ 
-        Evaluate the model in cartesian coordinates
-        
-        :param x: input q, or [qx, qy]
-        
-        :return: scattering function P(q)
-        
-        """
-        
-        return COblateModel.runXY(self, x)
-        
-    def evalDistribution(self, x=[]):
-        """ 
-        Evaluate the model in cartesian coordinates
-        
-        :param x: input q[], or [qx[], qy[]]
-        
-        :return: scattering function P(q[])
-        
-        """
-        return COblateModel.evalDistribution(self, x)
-        
-    def calculate_ER(self):
-        """ 
-        Calculate the effective radius for P(q)*S(q)
-        
-        :return: the value of the effective radius
-        
-        """       
-        return COblateModel.calculate_ER(self)
-        
-    def set_dispersion(self, parameter, dispersion):
-        """
-        Set the dispersion object for a model parameter
-        
-        :param parameter: name of the parameter [string]
-        :param dispersion: dispersion object of type DispersionModel
-        
-        """
-        return COblateModel.set_dispersion(self, parameter, dispersion.cdisp)
-        
-   
-# End of file
Index: sansmodels/src/sans/models/ProlateModel.py
===================================================================
--- sansmodels/src/sans/models/ProlateModel.py	(revision 96656e3ad6cdb9f8256e2118c60bac29635136af)
+++ 	(revision )
@@ -1,170 +1,0 @@
-#!/usr/bin/env python
-
-##############################################################################
-#	This software was developed by the University of Tennessee as part of the
-#	Distributed Data Analysis of Neutron Scattering Experiments (DANSE)
-#	project funded by the US National Science Foundation.
-#
-#	If you use DANSE applications to do scientific research that leads to
-#	publication, we ask that you acknowledge the use of the software with the
-#	following sentence:
-#
-#	"This work benefited from DANSE software developed under NSF award DMR-0520547."
-#
-#	copyright 2008, University of Tennessee
-##############################################################################
-
-
-""" 
-Provide functionality for a C extension model
-
-:WARNING: THIS FILE WAS GENERATED BY WRAPPERGENERATOR.PY
-         DO NOT MODIFY THIS FILE, MODIFY ..\c_extensions\prolate.h
-         AND RE-RUN THE GENERATOR SCRIPT
-
-"""
-
-from sans.models.BaseComponent import BaseComponent
-from sans_extension.c_models import CProlateModel
-import copy    
-
-def create_ProlateModel():
-    obj = ProlateModel()
-    #CProlateModel.__init__(obj) is called by ProlateModel constructor
-    return obj
-
-class ProlateModel(CProlateModel, BaseComponent):
-    """ 
-    Class that evaluates a ProlateModel model. 
-    This file was auto-generated from ..\c_extensions\prolate.h.
-    Refer to that file and the structure it contains
-    for details of the model.
-    List of default parameters:
-         scale           = 1.0 
-         major_core      = 100.0 [A]
-         minor_core      = 50.0 [A]
-         major_shell     = 110.0 [A]
-         minor_shell     = 60.0 [A]
-         contrast        = 1e-006 [1/A^(2)]
-         sld_solvent     = 6.3e-006 [1/A^(2)]
-         background      = 0.001 [1/cm]
-
-    """
-        
-    def __init__(self):
-        """ Initialization """
-        
-        # Initialize BaseComponent first, then sphere
-        BaseComponent.__init__(self)
-        #apply(CProlateModel.__init__, (self,)) 
-        CProlateModel.__init__(self)
-        
-        ## Name of the model
-        self.name = "ProlateModel"
-        ## Model description
-        self.description ="""[ProlateCoreShellModel] Calculates the form factor for a prolate
-		ellipsoid particle with a core_shell structure.
-		The form factor is averaged over all possible
-		orientations of the ellipsoid such that P(q)
-		= scale*<f^2>/Vol + bkg, where f is the
-		single particle scattering amplitude.
-		[Parameters]:
-		major_core = radius of major_core,
-		minor_core = radius of minor_core,
-		major_shell = radius of major_shell,
-		minor_shell = radius of minor_shell,
-		contrast = SLD_core - SLD_shell
-		sld_solvent = SLD_solvent
-		background = Incoherent bkg
-		scale = scale
-		Note:It is the users' responsibility to ensure
-		that shell radii are larger than core radii."""
-       
-        ## Parameter details [units, min, max]
-        self.details = {}
-        self.details['scale'] = ['', None, None]
-        self.details['major_core'] = ['[A]', None, None]
-        self.details['minor_core'] = ['[A]', None, None]
-        self.details['major_shell'] = ['[A]', None, None]
-        self.details['minor_shell'] = ['[A]', None, None]
-        self.details['contrast'] = ['[1/A^(2)]', None, None]
-        self.details['sld_solvent'] = ['[1/A^(2)]', None, None]
-        self.details['background'] = ['[1/cm]', None, None]
-
-        ## fittable parameters
-        self.fixed=['major_core.width', 'minor_core.width', 'major_shell.width', 'minor_shell.width']
-        
-        ## non-fittable parameters
-        self.non_fittable = []
-        
-        ## parameters with orientation
-        self.orientation_params = []
-   
-    def __reduce_ex__(self, proto):
-        """
-        Overwrite the __reduce_ex__ of PyTypeObject *type call in the init of 
-        c model.
-        """
-        return (create_ProlateModel,tuple())
-        
-    def clone(self):
-        """ Return a identical copy of self """
-        return self._clone(ProlateModel())   
-       	
-   
-    def run(self, x=0.0):
-        """ 
-        Evaluate the model
-        
-        :param x: input q, or [q,phi]
-        
-        :return: scattering function P(q)
-        
-        """
-        
-        return CProlateModel.run(self, x)
-   
-    def runXY(self, x=0.0):
-        """ 
-        Evaluate the model in cartesian coordinates
-        
-        :param x: input q, or [qx, qy]
-        
-        :return: scattering function P(q)
-        
-        """
-        
-        return CProlateModel.runXY(self, x)
-        
-    def evalDistribution(self, x=[]):
-        """ 
-        Evaluate the model in cartesian coordinates
-        
-        :param x: input q[], or [qx[], qy[]]
-        
-        :return: scattering function P(q[])
-        
-        """
-        return CProlateModel.evalDistribution(self, x)
-        
-    def calculate_ER(self):
-        """ 
-        Calculate the effective radius for P(q)*S(q)
-        
-        :return: the value of the effective radius
-        
-        """       
-        return CProlateModel.calculate_ER(self)
-        
-    def set_dispersion(self, parameter, dispersion):
-        """
-        Set the dispersion object for a model parameter
-        
-        :param parameter: name of the parameter [string]
-        :param dispersion: dispersion object of type DispersionModel
-        
-        """
-        return CProlateModel.set_dispersion(self, parameter, dispersion.cdisp)
-        
-   
-# End of file